## python-instagram 1.3.2%2Bgit20160108~dfeebe9

=== debian/changelog ===
python-instagram (1.3.2+git20160108~dfeebe9-4) unstable; urgency=medium

  [ Ross Gammon ]
  * Add myself to uploaders

  [ Petter Reinholdtsen ]
  * Drop Jörg as maintainer.  Thank you for your great work.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 29 Jan 2016 07:29:55 +0000

python-instagram (1.3.2+git20160108~dfeebe9-3) unstable; urgency=medium

  * Add missing build dependency on python-six and python3-six.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 13 Jan 2016 23:17:40 +0000

python-instagram (1.3.2+git20160108~dfeebe9-2) unstable; urgency=medium

  * Change copyright holder from Instagram, Inc to Facebook, Inc. on
    request from the Debian ftpmasters.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 11 Jan 2016 13:20:13 +0000

python-instagram (1.3.2+git20160108~dfeebe9-1) unstable; urgency=medium

  * Initial release (Closes: #769928).

  [ Jörg Frings-Fürst ]
  * Added Debian packaging.

  [ Petter Reinholdtsen ]
  * Updated to the latest version from github.
  * Change watch file to track upstream version using pypi.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 08 Jan 2016 10:28:30 +0100

## python-instagram 1.3.2+git20160108~dfeebe9

=== requirements.txt ===
bottle==0.12.7
httplib2==0.9
python-instagram==1.1.3
redis==2.10.3
simplejson==3.6.3
beaker==1.6.4
six==1.8.0

=== debian/control ===
Source: python-instagram
Section: python
Priority: optional
Maintainer: Petter Reinholdtsen <pere@debian.org>
Uploaders: Ross Gammon <rossgammon@mail.dk>
Build-Depends: 
 debhelper (>= 9),
 dh-python,
 python3-all,
 python3-httplib2,
 python3-six,
 python3-setuptools
Standards-Version: 3.9.6
Homepage: https://github.com/Instagram/python-instagram
Vcs-Git: git://anonscm.debian.org/collab-maint/python-instagram.git
Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/python-instagram.git

Package: python3-instagram
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 python3
Description: Python 3 client for the Instagram REST and Search APIs
 Python-instagram contains the Python bindings to access the Instagram
 REST and Search API.
 .
 This package provides the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

VERSION = $(shell head -n1 debian/changelog | sed -e 's/.*(//;s/+.*).*//;s/\+/\-/')
PKD     = $(abspath $(dir $(MAKEFILE_LIST)))
PKG     = $(word 2,$(shell dpkg-parsechangelog -l$(PKD)/changelog | grep ^Source))
DATE    = $(shell date +%Y%m%d)
UURL    = git://github.com/Instagram/python-instagram.git
UDATE   = $(shell date --rfc-3339=seconds --date='TZ="UTC" $(shell echo $(VER) | perl -ne 'print "$$1-$$2-$$3" if m/\+(?:git|svn|hg)(\d{4})(\d{2})(\d{2})/')')

export PYBUILD_NAME=instagram

%:
	dh $@ --with python3 --buildsystem=pybuild

get-orig-source:
	$(if $(wildcard $(PKG)-$(VERSION)),$(error $(PKG)-$(VERSION) exist, aborting..))
	@echo "# Downloading..."
	git clone $(UURL) ../$(PKG)-$(VERSION) \
	|| $(RM) -r ../$(PKG)-$(VERSION)
	cd ../$(PKG)-$(VERSION) \
	&& git checkout v$(VERSION) || git checkout $$(git log -n1 --format=%h --before="$(UDATE)") \
	&& [ -s ChangeLog ] || ( echo "# Generating ChangeLog..." \
	   ; git log --pretty="format:%ad  %aN  <%aE>%n%n%x09* %s%n" --date=short > ChangeLog \
	   ; touch -d "$$(git log -1 --format='%ci')" ChangeLog) \
	&& echo "# Setting times..." \
	&& for F in $$(git ls-tree -r --name-only HEAD); do touch --no-dereference -d "$$(git log -1 --format="%ai" -- $$F)" "$$F"; done 
	@echo "# Get HEAD ..." 
	cd ../$(PKG)-$(VERSION) && git rev-parse HEAD | cut -c 1-7 >../head.tmp

get-orig-source_2:
	@echo "# Cleaning-up..." 
	cd ../$(PKG)-$(VERSION) \
	&& $(RM) -r -v \
	  dist \
	  python_instagram.egg-info \
	&& $(RM) -r .git .git*

	@echo "# Packing..."
	$(eval SH1 = $(shell cat ../head.tmp ))
	find -L "../$(PKG)-$(VERSION)" -xdev -type f -print | sort \
	| XZ_OPT="-6v" tar -caf "../$(PKG)_$(VERSION)+git$(DATE)~${SH1}.orig.tar.xz" -T- --owner=root --group=root --mode=a+rX  
	$(RM) -r "../$(PKG)-$(VERSION)"
	$(RM) ../head.tmp

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/,dversionmangle=s/\+git.*$// \
https://pypi.debian.net/python-instagram/python-instagram-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
